Bug 1566498 - Select Google maps image to save as screenshot "Region to grab" results in image corruption
Summary: Select Google maps image to save as screenshot "Region to grab" results in im...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 12:33 UTC by Bill Sanford
Modified: 2018-11-30 20:57 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:57:13 UTC
Type: Bug
bsanford: rhel-rawhide?


Attachments (Terms of Use)
Corruption through "Region to grab" capture (1.95 MB, image/png)
2018-04-12 12:33 UTC, Bill Sanford
no flags Details

Description Bill Sanford 2018-04-12 12:33:58 UTC
Created attachment 1420820 [details]
Corruption through "Region to grab" capture

Description of problem:
Mouse dragging an area of a Google maps to save as an image of a "Region to grab" leads to corruption of the selected area. 

Version-Release number of selected component (if applicable):
gimp-2.8.22-3.fc27.x86_64

How reproducible:
100%

Steps to Reproduce:
1. In Google Maps, look up address and select main image (Address image) to appear instead of map. For example, type White House and then left click the image of the White House to appear in main window.
2. In GIMP, File -> Create -> Screenshot -> Select Region to Grab -> Snap.
3. Left-click and drag area that you want to capture as an image.
4. Save corrupted image to file.

Actual results:
Corruption from the mouse drag appears and it is saved with the file.

Expected results:
Only one square is drawn for image selection and saved as image.

Additional info:

Comment 1 Josef Ridky 2018-04-12 13:00:24 UTC
Hi Bill,

can you post here result of following command:

env | grep DESKTOP

Thanks
Josef

Comment 2 Bill Sanford 2018-04-12 13:49:21 UTC
DESKTOP_SESSION=cinnamon
XDG_SESSION_DESKTOP=cinnamon
XDG_CURRENT_DESKTOP=X-Cinnamon
GNOME_DESKTOP_SESSION_ID=this-is-deprecated

Comment 3 Bill Sanford 2018-04-12 13:56:13 UTC
Yeah, just tested in GNOME and it is fine. I am switching this to Cinnamon.

Comment 4 Ben Cotton 2018-11-27 16:13:40 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-30 20:57:13 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.